Name:		p0f
Version:	3.09b
Release:	%mkrel 6
Summary:	Passive OS fingerprinting tool
License:	LGPLv2+
Group:		Networking/Other
URL:		https://lcamtuf.coredump.cx/p0f3/
Source0:	https://lcamtuf.coredump.cx/p0f3/releases/%{name}-%{version}.tgz
Source1:	p0f.service
Source2:	p0f.sysconfig
Patch1:		p0f-configure-c99.patch
BuildRequires:	pkgconfig(libpcap)

%description
p0f performs passive OS fingerprinting technique bases on information coming
from remote host when it establishes connection to our system. Captured
packets contains enough information to determine OS - and, unlike
active scanners (nmap, queSO) - it is done without sending anything to
this host.

%prep
%autosetup -p1

%build
%make_build CFLAGS='%{optflags} -DFP_FILE="%{_sysconfdir}/%{name}/p0f.fp"'

%install
install -D -m 755 p0f %{buildroot}%{_sbindir}/p0f
install -D -m 644 p0f.fp %{buildroot}%{_sysconfdir}/%{name}/%{name}.fp
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/p0f.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/p0f

%files
%doc docs/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/p0f.fp
%config(noreplace) %{_sysconfdir}/sysconfig/p0f
%{_unitdir}/p0f.service
%{_sbindir}/p0f


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.09b-6.mga10
+ Revision: 2221874
- Mageia 10 Mass Rebuild

* Thu Apr 04 2024 daviddavid <daviddavid> 3.09b-5.mga10
+ Revision: 2054230
- add patch to fix build with GCC14

* Mon Mar 28 2022 umeabot <umeabot> 3.09b-4.mga9
+ Revision: 1830960
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.09b-3.mga8
+ Revision: 1515763
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.09b-2.mga7
+ Revision: 1300081
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Sun May 08 2016 daviddavid <daviddavid> 3.09b-1.mga6
+ Revision: 1011021
- new version: 3.09b

* Fri Feb 12 2016 umeabot <umeabot> 3.08b-3.mga6
+ Revision: 956586
- Mageia 6 Mass Rebuild

* Fri Oct 02 2015 daviddavid <daviddavid> 3.08b-2.mga6
+ Revision: 885646
- fix license to LGPLv2+

* Fri Oct 02 2015 daviddavid <daviddavid> 3.08b-1.mga6
+ Revision: 885641
- new version: 3.08b
- update URL and Source URL

* Wed Oct 15 2014 umeabot <umeabot> 3.06b-5.mga5
+ Revision: 739355
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.06b-4.mga5
+ Revision: 683299
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.06b-3.mga4
+ Revision: 508775
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.06b-2.mga3
+ Revision: 362313
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 guillomovitch <guillomovitch> 3.06b-1.mga3
+ Revision: 336074
- new  version

* Mon Jul 09 2012 guillomovitch <guillomovitch> 3.05b-1.mga3
+ Revision: 269053
- new version
- add systemd support

* Mon Apr 02 2012 guillomovitch <guillomovitch> 3.04b-1.mga2
+ Revision: 227950
- new version
- drop non-working initscript
- ensure the binary can find its default configuration file

* Tue Jan 17 2012 guillomovitch <guillomovitch> 3.01b-1.mga2
+ Revision: 197503
- new version
- bunzip additional sources
+ ovitters <ovitters>
- clean spec file (defines name/version/release, cp/rm macros, buildroot, defattr)
- imported package p0f


* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-7mdv2010.0
+ Revision: 440468
- rebuild

* Tue Mar 10 2009 Emmanuel Andry <eandry@mandriva.org> 2.0.8-6mdv2009.1
+ Revision: 353465
- fix initscript (#26333)

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-5mdv2009.1
+ Revision: 298327
- rebuilt against libpcap-1.0.0

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-4mdv2009.0
+ Revision: 241131
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-2mdv2008.0
+ Revision: 70388
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago


* Wed Sep 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-06 17:46:41 (60384)
- 2.0.8

* Wed Sep 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-06 17:41:27 (60383)
Import p0f

* Fri Mar 10 2006 Olivier Thauvin <nanardon@mandriva.org> 2.0.6-2mdk
- fix prereq

* Fri Mar 10 2006 Olivier Thauvin <nanardon@mandriva.org> 2.0.6-1mdk
- 2.0.6

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.5-3mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sat Apr 16 2005 Giuseppe Ghibò <ghibo@mandriva.com> 2.0.5-2mdk
- removed libpcap0 explicit requires (for X86-64).

* Tue Sep 14 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.5-1mdk
* Mon Jul 12 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.0.4-2mdk
- corect location of fingerprint file
- added man page

* Sun Jul 11 2004 Michael Scherer <misc@mandrake.org> 2.0.4-1mdk
- New release 2.0.4
- use the good tarball

* Mon Apr 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.3-2mdk
- patch0 (renamed pcap include) Bug #9600

* Mon Nov 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.3-1mdk
- 2.0.3

